<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [getResearchCost](./bitburner.officeapi.getresearchcost.md)

## OfficeAPI.getResearchCost() method

Get the cost to unlock a research.

**Signature:**

```typescript
getResearchCost(divisionName: string, researchName: CorpResearchName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

researchName


</td><td>

[CorpResearchName](./bitburner.corpresearchname.md)


</td><td>

Name of the research


</td></tr>
</tbody></table>

**Returns:**

number

Cost

## Remarks

RAM cost: 10 GB

